Package org.kapott.hbci.GV_Result

# Class GVRAccInfo

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRAccInfo

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public class GVRAccInfo extends HBCIJobResultImpl
Klasse für die Ergebnisdaten einer Kontostammdaten-Abfrage

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GVRAccInfo.AccInfo`
Informationen zu genau einem Konto

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRAccInfo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntry(GVRAccInfo.AccInfo info)`
`GVRAccInfo.AccInfo[]`
`getEntries()`
Holen aller empfangenen Kontostammdaten.
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRAccInfo

public GVRAccInfo()

## Method Details

### addEntry

public void addEntry(GVRAccInfo.AccInfo info)

### getEntries

public GVRAccInfo.AccInfo[] getEntries()
Holen aller empfangenen Kontostammdaten.

Returns:
  Array mit einzelnen Konto-Informationen. Das Array ist niemals `null`, kann aber die Länge `0` haben

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`